epp_ContactUpdateChange (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.contact.epp_ContactUpdateChange class

### org.openrtk.idl.epp02.contact

# Class epp_ContactUpdateChange

- `java.lang.Object`
- - `org.openrtk.idl.epp02.contact.epp_ContactUpdateChange`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactUpdateChange`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/contact/epp_ContactUpdateChange.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_contact.idl Thursday, July 26, 2001 6:26:13 PM EDT

  ## Field Summary
  `epp_ContactNameAddress` | `m_ascii_address`
  `epp_AuthInfo` | `m_auth_info`
  `String` | `m_email`
  `epp_ContactPhone` | `m_fax`
  `epp_ContactNameAddress` | `m_i15d_address`
  `epp_ContactPhone` | `m_voice`

  ## Constructor Summary
  `epp_ContactUpdateChange()`
  `epp_ContactUpdateChange(epp_ContactNameAddress _m_ascii_address, epp_ContactNameAddress _m_i15d_address, epp_ContactPhone _m_voice, epp_ContactPhone _m_fax, String _m_email, epp_AuthInfo _m_auth_info)`

  ## Method Summary
  `epp_ContactNameAddress` | `getAsciiAddress()`
  `epp_AuthInfo` | `getAuthInfo()`
  `String` | `getEmail()`
  `epp_ContactPhone` | `getFax()`
  `epp_ContactNameAddress` | `getI15dAddress()`
  `epp_ContactPhone` | `getVoice()`
  `void` | `setAsciiAddress(epp_ContactNameAddress value)`
  `void` | `setAuthInfo(epp_AuthInfo value)`
  `void` | `setEmail(String value)`
  `void` | `setFax(epp_ContactPhone value)`
  `void` | `setI15dAddress(epp_ContactNameAddress value)`
  `void` | `setVoice(epp_ContactPhone value)`
  `String` | `toString()`

## Field Details

### m_ascii_address

    public epp_ContactNameAddress m_ascii_address

### m_auth_info

    public epp_AuthInfo m_auth_info

### m_email

    public String m_email

### m_fax

    public epp_ContactPhone m_fax

### m_i15d_address

    public epp_ContactNameAddress m_i15d_address

### m_voice

    public epp_ContactPhone m_voice

## Constructor Details

### epp_ContactUpdateChange

    public epp_ContactUpdateChange()

### epp_ContactUpdateChange

    public epp_ContactUpdateChange(epp_ContactNameAddress _m_ascii_address,
                                   epp_ContactNameAddress _m_i15d_address,
                                   epp_ContactPhone _m_voice,
                                   epp_ContactPhone _m_fax,
                                   String _m_email,
                                   epp_AuthInfo _m_auth_info)

## Method Details

### getAsciiAddress

    public epp_ContactNameAddress getAsciiAddress()

### getAuthInfo

    public epp_AuthInfo getAuthInfo()

### getEmail

    public String getEmail()

### getFax

    public epp_ContactPhone getFax()

### getI15dAddress

    public epp_ContactNameAddress getI15dAddress()

### getVoice

    public epp_ContactPhone getVoice()

### setAsciiAddress

    public void setAsciiAddress(epp_ContactNameAddress value)

### setAuthInfo

    public void setAuthInfo(epp_AuthInfo value)

### setEmail

    public void setEmail(String value)

### setFax

    public void setFax(epp_ContactPhone value)

### setI15dAddress

    public void setI15dAddress(epp_ContactNameAddress value)

### setVoice

    public void setVoice(epp_ContactPhone value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS